//**********************************************************************
//
//	ut4_ancients.shader
//
//**********************************************************************
//
// ======================================================================
// PROTOTYPE TEXTURES
// ======================================================================
textures/das_ancients/64x64_floor
{
	qer_editorimage textures/das_ancients/64x64_floor
	surfaceparm brick
	{
		map textures/das_ancients/64x64_floor
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
		blendFunc filter
    }
}
textures/das_ancients/64x64_wall
{
	qer_editorimage textures/das_ancients/64x64_wall
	surfaceparm grass
	{
		map textures/das_ancients/64x64_wall
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
		blendFunc filter
    }
}
// ======================================================================
// SKY
// ======================================================================
textures/das_ancients/das_sky
{
	qer_editorimage textures/das_ancients/das_sky
	q3map_noFast
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 161 166 169 0 0 90 3 16
	q3map_skylight 400 5
    q3map_backsplash 0 0

    skyparms env/das_ancients/ancientsky - -
	
	{
		map textures/das_ancients/ancientsky_01
		blendFunc filter
		tcMod scroll -.001 -.003
		tcMod scale 2 2
	}
	{
		map textures/das_ancients/ancientsky_01
		blendFunc filter
		tcMod scroll .001 -.002
		tcMod scale 1 1
	}
}
// ======================================================================
// FOG
// ======================================================================
textures/das_ancients/das_fog
{
	qer_editorimage textures/das_ancients/das_fog
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_nocarve
	fogParms ( 0 0 0 ) 384
	q3map_globaltexture
	q3map_surfacelight 0
}
// ======================================================================
// FIRE
// ======================================================================
textures/das_ancients/torch_0
{
	qer_editorimage textures/das_ancients/torch_0
	qer_trans .5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
    {
		animmap 30 textures/das_ancients/torch_0 textures/das_ancients/torch_1 textures/das_ancients/torch_2 textures/das_ancients/torch_3 textures/das_ancients/torch_4 textures/das_ancients/torch_5 textures/das_ancients/torch_6 textures/das_ancients/torch_7
		blendFunc add
		rgbgen identity
	}
}
textures/das_ancients/flare_r
{
   deformVertexes autoSprite
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm nolightmap
   cull none
   {
      clampmap textures/das_ancients/flare_r
	  rgbGen wave noise .5 .05 0 5
      blendFunc add
   }
}
// ======================================================================
// WATER
// ======================================================================
textures/das_ancients/water01
{
	qer_editorimage textures/das_ancients/water01
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	noMipMaps
	cull none
	deformVertexes wave 1000 sin -1 1 0 0.1
	surfaceparm water
	{
		map textures/das_ancients/water01
		tcMod scroll 0 .01
		tcMod turb 0 .1 .01 .01
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/water_calm
{
	qer_editorimage textures/das_ancients/water01
	q3map_globaltexture
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	noMipMaps
	cull none
	surfaceparm water
	{
		map textures/das_ancients/water01
		//tcMod scroll 0 .01
		tcMod turb 0 .1 .01 .01
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
// ======================================================================
// DECALS
// ======================================================================
textures/das_ancients/leaks
{
	qer_editorimage textures/das_ancients/leaks
	qer_trans .5
	polygonoffset
	surfaceparm nonsolid
	{
		map textures/das_ancients/leaks
		blendFunc filter
	}
}
textures/das_ancients/fishsign
{
	qer_editorimage textures/das_ancients/fishsign
	qer_trans .5
	polygonoffset
	surfaceparm nonsolid
	{
		clampmap textures/das_ancients/fishsign
		blendFunc filter
	}
}
// ======================================================================
// PROPS
// ======================================================================
models/mapobjects/das_ancients/portal/portal
{
	qer_editorimage models/mapobjects/das_ancients/portal/portal
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/portal/portal
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/portal/portal_b
		rgbGen wave sin .4 .4 0 -.36
		blendFunc add
	}
}
models/mapobjects/das_ancients/portal/portal_r
{
	qer_editorimage models/mapobjects/das_ancients/portal/portal
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/portal/portal
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/portal/portal_r
		rgbGen wave sin .4 .4 0 -.36
		blendFunc add
	}
}
models/mapobjects/das_ancients/portal/corona_b
{
	qer_editorimage models/mapobjects/das_ancients/portal/corona_b
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/das_ancients/portal/corona_b
		rgbGen wave sin .3 .3 0 -.36
		blendFunc add
		tcMod scroll -.3 0
	}
}
models/mapobjects/das_ancients/portal/corona_r
{
	qer_editorimage models/mapobjects/das_ancients/portal/corona_r
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/das_ancients/portal/corona_r
		rgbGen wave sin .3 .3 0 -.36
		blendFunc add
		tcMod scroll -.3 0
	}
}
models/mapobjects/das_ancients/torch/torch
{
	qer_editorimage models/mapobjects/das_ancients/torch/torch
	surfaceparm iron
	{
		map models/mapobjects/das_ancients/torch/torch
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/torch/torch_e
		rgbGen wave noise .5 .05 0 5
		blendFunc add
	}
}
models/mapobjects/das_ancients/torchstick/torchstick
{
	qer_editorimage models/mapobjects/das_ancients/torchstick/torchstick
	surfaceparm hardwood
	{
		map models/mapobjects/das_ancients/torchstick/torchstick
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/torchstick/torchstick_e
		rgbGen wave noise .5 .05 0 5
		blendFunc add
	}
}
models/mapobjects/das_ancients/wallfire/wallfire
{
	qer_editorimage models/mapobjects/das_ancients/wallfire/wallfire
	q3map_clipModel
	q3map_forceMeta
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/wallfire/wallfire
		rgbGen identity
	}
	{
      map $lightmap
      blendFunc filter
	}
	{
		map models/mapobjects/das_ancients/wallfire/wallfire_e
		rgbGen wave noise .5 .05 0 5
		blendFunc add
	}
}
models/mapobjects/das_ancients/firebowl/firebowl
{
	qer_editorimage models/mapobjects/das_ancients/firebowl/firebowl
	q3map_clipModel
	q3map_forceMeta
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/firebowl/firebowl
		rgbGen identity
	}
	{
      map $lightmap
      blendFunc filter
	}
	{
		map models/mapobjects/das_ancients/firebowl/firebowl_e
		rgbGen wave noise .5 .05 0 5
		blendFunc add
	}
}
models/mapobjects/das_ancients/door/CastleDoor
{
	qer_editorimage models/mapobjects/das_ancients/door/CastleDoor
	surfaceparm softwood
	{
		map models/mapobjects/das_ancients/door/CastleDoor
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/waterpot/waterpot
{
	qer_editorimage models/mapobjects/das_ancients/waterpot/waterpot
	q3map_clipModel
	q3map_vertexScale 3
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/waterpot/waterpot
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/statue/statue
{
	qer_editorimage models/mapobjects/das_ancients/statue/statue
	q3map_clipModel
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/statue/statue
		//rgbGen identity
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/guardian/guardian
{
	qer_editorimage models/mapobjects/das_ancients/guardian/guardian
	q3map_clipModel
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/guardian/guardian
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/creature/creature
{
	qer_editorimage models/mapobjects/das_ancients/creature/creature
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/creature/creature
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/dungeon_extras/chest
{
	qer_editorimage models/mapobjects/das_ancients/dungeon_extras/chest
	surfaceparm softwood
	{
		map models/mapobjects/das_ancients/dungeon_extras/chest
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/weapon_crate/WeaponCrate
{
	qer_editorimage models/mapobjects/das_ancients/weapon_crate/WeaponCrate
	surfaceparm softwood
	{
		map models/mapobjects/das_ancients/weapon_crate/WeaponCrate
		rgbGen vertex
	}
}
models/mapobjects/das_ancients/lustre/lustre
{
	qer_editorimage models/mapobjects/das_ancients/lustre/lustre
	surfaceparm iron
	{
		map models/mapobjects/das_ancients/lustre/lustre
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/lustre/lustre_e
		rgbGen wave noise .5 .05 0 5
		blendFunc add
	}
}
models/mapobjects/das_ancients/dungeon_extras/crate
{
	qer_editorimage models/mapobjects/das_ancients/dungeon_extras/crate
	q3map_forceMeta
	surfaceparm softwood
	{
		map models/mapobjects/das_ancients/dungeon_extras/crate
		rgbGen identity
	}
	{
      map $lightmap
      blendFunc filter
	}
}
models/mapobjects/das_ancients/dungeon_extras/barrel
{
	qer_editorimage models/mapobjects/das_ancients/dungeon_extras/barrel
	q3map_forceMeta
	surfaceparm softwood
	{
		map models/mapobjects/das_ancients/dungeon_extras/barrel
		rgbGen identity
	}
	{
      map $lightmap
      blendFunc filter
	}
}
// ======================================================================
// FOLIAGE
// ======================================================================
textures/das_ancients/tree-718
{
	qer_editorimage textures/das_ancients/tree-718
	qer_trans .5
	surfaceparm nonsolid
	{
		map textures/das_ancients/tree-718
		alphaFunc GE128
		depthWrite
	}
	{
      map $lightmap
      blendFunc filter
      depthFunc equal
   }
}
textures/das_ancients/tree-725
{
	qer_editorimage textures/das_ancients/tree-725
	qer_trans .5
	surfaceparm nonsolid
	{
		map textures/das_ancients/tree-725
		alphaFunc GE128
		depthWrite
	}
	{
      map $lightmap
      blendFunc filter
      depthFunc equal
   }
}
textures/das_ancients/tree-793
{
	qer_editorimage textures/das_ancients/tree-793
	qer_trans .5
	surfaceparm nonsolid
	{
		map textures/das_ancients/tree-793
		alphaFunc GE128
		depthWrite
	}
	{
      map $lightmap
      blendFunc filter
      depthFunc equal
   }
}
textures/das_ancients/vines-43651
{
	qer_editorimage textures/das_ancients/vines-43651
	qer_trans .9
	polygonoffset
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/das_ancients/vines-43651
		alphaFunc GE128
		depthWrite
	}
	{
      map $lightmap
      blendFunc filter
      depthFunc equal
   }
}
textures/das_ancients/ivy01
{
	qer_editorimage textures/das_ancients/ivy01
	qer_trans .9
	polygonoffset
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	deformVertexes wave 30 sin 1 1 1 .2
	cull none
	{
		map textures/das_ancients/ivy01
		alphaFunc GE128
		depthWrite
	}
	{
      map $lightmap
      blendFunc filter
      depthFunc equal
   }
}
models/mapobjects/das_ancients/fern/fern
{
	qer_editorimage models/mapobjects/das_ancients/fern/fern
	qer_trans .9
	surfaceparm nonsolid
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map models/mapobjects/das_ancients/fern/fern
		alphaFunc GE128
		depthWrite
	}
	{
      map $lightmap
      blendFunc filter
      depthFunc equal
   }
}
// ======================================================================
// TERRAIN
// ======================================================================
models/mapobjects/das_ancients/terrain/rock036 // Plain Rock
{
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_clipModel
	q3map_forceMeta
	qer_editorimage models/mapobjects/das_ancients/terrain/rock036
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/terrain/rock036
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
		blendFunc filter
    }
}
models/mapobjects/das_ancients/terrain/rockgrass // Rock blended with Grass
{
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_clipModel
	q3map_forceMeta
	qer_editorimage models/mapobjects/das_ancients/terrain/rock036
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/terrain/rock036
		rgbGen identity
	}
	{
		map textures/das_ancients/grass003
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcMod scale 4 4
	}
	{
        map $lightmap
        rgbGen identity
		blendFunc filter
    }
}
models/mapobjects/das_ancients/terrain/rockdirt // Rock blended with Dirt
{
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_clipModel
	q3map_forceMeta
	qer_editorimage models/mapobjects/das_ancients/terrain/rock036
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/terrain/rock036
		rgbGen identity
	}
	{
		map textures/das_ancients/ground013
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcMod scale 4 4
	}
	{
        map $lightmap
        rgbGen identity
		blendFunc filter
    }
}
// ======================================================================
// KEYSTONES
// ======================================================================
textures/das_ancients/keystone_r
{
	qer_editorimage textures/das_ancients/keystone_r
	q3map_lightRGB 1 0 0
	surfaceparm rock
	{
		map textures/das_ancients/keystone_r
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
	{
		map textures/das_ancients/keystone_r
		rgbGen wave sin .4 .4 0 -.36
		blendFunc add
	}
}
textures/das_ancients/keystone_b
{
	qer_editorimage textures/das_ancients/keystone_b
	surfaceparm rock
	{
		map textures/das_ancients/keystone_b
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
	{
		map textures/das_ancients/keystone_b
		rgbGen wave sin .4 .4 0 -.36
		blendFunc add
	}
}
textures/das_ancients/keystone_d
{
	qer_editorimage textures/das_ancients/keystone_d
	surfaceparm rock
	{
		map textures/das_ancients/keystone_d
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
// ======================================================================
// CRYSTALS
// ======================================================================
models/mapobjects/das_ancients/crystals/crystal_r
{
	qer_editorimage models/mapobjects/das_ancients/crystals/crystal_r
	q3map_surfaceLight 5000
	q3map_backSplash 0 0
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/crystals/crystal_r
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/crystals/crystal_r
		blendFunc add
	}
	{
		map models/mapobjects/das_ancients/crystals/crystal_r
		rgbGen wave sin .2 .2 0 -.36
		blendFunc add
	}
}
models/mapobjects/das_ancients/crystals/crystal_b
{
	qer_editorimage models/mapobjects/das_ancients/crystals/crystal_b
	q3map_surfaceLight 5000
	q3map_backSplash 0 0
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/crystals/crystal_b
		rgbGen vertex
	}
	{
		map models/mapobjects/das_ancients/crystals/crystal_b
		blendFunc add
	}
	{
		map models/mapobjects/das_ancients/crystals/crystal_b
		rgbGen wave sin .2 .2 0 -.36
		blendFunc add
	}
}
models/mapobjects/das_ancients/crystals/crystal_d
{
	qer_editorimage models/mapobjects/das_ancients/crystals/crystal_d
	surfaceparm rock
	{
		map models/mapobjects/das_ancients/crystals/crystal_d
		rgbGen vertex
	}
}
// ======================================================================
// TEXTURES
// ======================================================================
textures/das_ancients/black
{
	qer_editorimage textures/das_ancients/black
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/das_ancients/black
		rgbGen identity
	}
}
textures/das_ancients/Rock036A
{
	qer_editorimage textures/das_ancients/Rock036A
	surfaceparm rock
	{
		map textures/das_ancients/Rock036A
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Wood062
{
	qer_editorimage textures/das_ancients/Wood062
	surfaceparm hardwood
	{
		map textures/das_ancients/Wood062
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Bricks076B
{
	qer_editorimage textures/das_ancients/Bricks076B
	surfaceparm rock
	{
		map textures/das_ancients/Bricks076B
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Bricks076BC
{
	qer_editorimage textures/das_ancients/Bricks076BC
	surfaceparm rock
	{
		map textures/das_ancients/Bricks076BC
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Bricks076C
{
	qer_editorimage textures/das_ancients/Bricks076C
	surfaceparm rock
	{
		map textures/das_ancients/Bricks076C
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Rock020
{
	qer_editorimage textures/das_ancients/Rock020
	surfaceparm rock
	{
		map textures/das_ancients/Rock020
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Rock020AB
{
	qer_editorimage textures/das_ancients/Rock020AB
	surfaceparm rock
	{
		map textures/das_ancients/Rock020AB
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Rock020B
{
	qer_editorimage textures/das_ancients/Rock020B
	surfaceparm rock
	{
		map textures/das_ancients/Rock020B
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Rock020C
{
	qer_editorimage textures/das_ancients/Rock020C
	surfaceparm rock
	{
		map textures/das_ancients/Rock020C
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Rock020CD
{
	qer_editorimage textures/das_ancients/Rock020CD
	surfaceparm rock
	{
		map textures/das_ancients/Rock020CD
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Tiles098
{
	qer_editorimage textures/das_ancients/Tiles098
	surfaceparm rock
	{
		map textures/das_ancients/Tiles098
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Tiles098A
{
	qer_editorimage textures/das_ancients/Tiles098A
	surfaceparm rock
	{
		map textures/das_ancients/Tiles098A
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Tiles098AB
{
	qer_editorimage textures/das_ancients/Tiles098AB
	surfaceparm rock
	{
		map textures/das_ancients/Tiles098AB
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Tiles130
{
	qer_editorimage textures/das_ancients/Tiles130
	surfaceparm rock
	{
		map textures/das_ancients/Tiles130
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/Metal025
{
	qer_editorimage textures/das_ancients/Metal025
	surfaceparm iron
	{
		map textures/das_ancients/Metal025
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
textures/das_ancients/rope
{
	qer_editorimage textures/das_ancients/rope
	q3map_nonplanar
	q3map_shadeAngle 179
	surfaceparm grass
	{
		map textures/das_ancients/rope
		rgbGen identity
	}
	{
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}
